Bug 732659 - After update to kernel-3.1.0-0.rc2.git7.2.fc16.x86_64, Xorg eats my CPU
Summary: After update to kernel-3.1.0-0.rc2.git7.2.fc16.x86_64, Xorg eats my CPU
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 08:41 UTC by Joachim Backes
Modified: 2011-09-15 10:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 13:35:14 UTC


Attachments (Terms of Use)
System monitor from some seconds. (36.66 KB, image/png)
2011-08-23 08:41 UTC, Joachim Backes
no flags Details

Description Joachim Backes 2011-08-23 08:41:28 UTC
Created attachment 519408 [details]
System monitor  from some seconds.

Description of problem:
After having updated to kernel-3.1.0-0.rc2.git7.2.fc16.x86_64, my box slows down all 10 secs. Running top shows Xorg is consuming s lot of CPU.

Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc2.git7.2.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Josh Boyer 2011-08-23 10:59:30 UTC
What kind of graphics hardware do you have?  If it's nvidia and you're using the nouveau driver, this might be a duplicate of 732508

Comment 2 Joachim Backes 2011-08-23 11:18:54 UTC
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

Comment 3 Joachim Backes 2011-08-23 11:38:46 UTC
Seems *no to depend from nouveau driver, or nvidia hardware*: as i Told, I have a intel hardware. Running gtkperf too:

kernel-3.1.0-0.rc2.git7.2.fc16.x86_64
-------------------------------------

GtkEntry - time:  0.04
GtkComboBox - time:  1.74
GtkComboBoxEntry - time:  1.59
GtkSpinButton - time:  0.20
GtkProgressBar - time:  0.16
GtkToggleButton - time:  0.18
GtkCheckButton - time:  0.12
GtkRadioButton - time:  0.21
GtkTextView - Add text - time:  0.20
GtkTextView - Scroll - time:  0.17
GtkDrawingArea - Lines - time:  1.60
GtkDrawingArea - Circles - time: 26.12
GtkDrawingArea - Text - time:  0.88
GtkDrawingArea - Pixbufs - time:  0.16
 --- 
Total time: 33.39

kernel-3.0.1-3.fc16.x86_64
--------------------------

GtkEntry - time:  0.04
GtkComboBox - time:  1.30
GtkComboBoxEntry - time:  1.05
GtkSpinButton - time:  0.14
GtkProgressBar - time:  0.13
GtkToggleButton - time:  0.15
GtkCheckButton - time:  0.11
GtkRadioButton - time:  0.17
GtkTextView - Add text - time:  0.20
GtkTextView - Scroll - time:  0.15
GtkDrawingArea - Lines - time:  1.22
GtkDrawingArea - Circles - time:  6.09
GtkDrawingArea - Text - time:  0.38
GtkDrawingArea - Pixbufs - time:  0.14
 --- 
Total time: 11.27

Comment 4 Josh Boyer 2011-08-23 11:41:23 UTC
Can you try the -rc3 kernel in koji and see if it helps?

http://koji.fedoraproject.org/koji/buildinfo?buildID=259980

Comment 5 Joachim Backes 2011-08-23 12:28:04 UTC
(In reply to comment #4)
> Can you try the -rc3 kernel in koji and see if it helps?
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=259980

Bingo! Almost same gtkperf results as with kernel-3.0.1-3.fc16.x86_64:

GtkEntry - time:  0.04
GtkComboBox - time:  1.23
GtkComboBoxEntry - time:  1.03
GtkSpinButton - time:  0.14
GtkProgressBar - time:  0.10
GtkToggleButton - time:  0.14
GtkCheckButton - time:  0.12
GtkRadioButton - time:  0.17
GtkTextView - Add text - time:  0.19
GtkTextView - Scroll - time:  0.16
GtkDrawingArea - Lines - time:  0.88
GtkDrawingArea - Circles - time:  8.71
GtkDrawingArea - Text - time:  0.40
GtkDrawingArea - Pixbufs - time:  0.14
 --- 
Total time: 13.45

And no more CPU peaks after all 10 secs!

Thank you very much!

Comment 6 Josh Boyer 2011-08-23 12:59:29 UTC
Thanks for testing!  That kernel should hit f16 updates-testing sometime today.  If you feel so inclined, please give it some karma in bodhi.

https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc3.git0.0.fc16

Comment 7 Stéphane Maniaci 2011-09-15 10:29:30 UTC
I still have this problem with kernel 3.1.0-0.rc5.git0.0.fc16.i686.


GtkPerf 0.40 - Starting testing: Thu Sep 15 12:26:02 2011

GtkEntry - time:  0,20
GtkComboBox - time:  8,11
GtkComboBoxEntry - time:  5,67
GtkSpinButton - time:  3,53
GtkProgressBar - time:  4,01
GtkToggleButton - time:  3,10
GtkCheckButton - time:  1,16
GtkRadioButton - time:  4,51
GtkTextView - Add text - time:  2,11
GtkTextView - Scroll - time:  6,81
GtkDrawingArea - Lines - time: 53,37
GtkDrawingArea - Circles - time:  2,75
GtkDrawingArea - Text - time: 12,00
GtkDrawingArea - Pixbufs - time:  1,90
 --- 
Total time: 109,22

I am using Gallium 0.4 on AMD RV670, according to gnome-control-center. Graphic card is an ATI RadeonHD 3800.

Comment 8 Josh Boyer 2011-09-15 10:42:52 UTC
3.1.0-rc6.git0.0.fc16 has the debugging options disabled.  The performance should return to normal.

Comment 9 Stéphane Maniaci 2011-09-15 10:56:27 UTC
Thanks Josh, everything is back to normal with rc6. Sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.